Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.intersection
Class BoundingBox

    java.lang.Object
      de.grogra.ray.intersection.BoundingBox

All Implemented Interfaces:
  BoundingVolume

    public class BoundingBox

extends java.lang.Object
implements BoundingVolume

Constructor Summary
`BoundingBox(Vector3f minValues, Vector3f maxValues)`

Method Summary
`float` | `getMaxX()`
`float` | `getMaxY()`
`float` | `getMaxZ()`
`float` | `getMinX()`
`float` | `getMinY()`
`float` | `getMinZ()`
`boolean` | `hasIntersection(Ray ray)`
`boolean` | `isInsideBox(Vector3f minValues, Vector3f maxValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundingBox

    public BoundingBox(Vector3f minValues,
                       Vector3f maxValues)

Method Detail

### getMaxX

    public float getMaxX()

  Specified by:
    `getMaxX` in interface `BoundingVolume`

### getMaxY

    public float getMaxY()

  Specified by:
    `getMaxY` in interface `BoundingVolume`

### getMaxZ

    public float getMaxZ()

  Specified by:
    `getMaxZ` in interface `BoundingVolume`

### getMinX

    public float getMinX()

  Specified by:
    `getMinX` in interface `BoundingVolume`

### getMinY

    public float getMinY()

  Specified by:
    `getMinY` in interface `BoundingVolume`

### getMinZ

    public float getMinZ()

  Specified by:
    `getMinZ` in interface `BoundingVolume`

### hasIntersection

    public boolean hasIntersection(Ray ray)

  Specified by:
    `hasIntersection` in interface `BoundingVolume`

### isInsideBox

    public boolean isInsideBox(Vector3f minValues,
                               Vector3f maxValues)

  Specified by:
    `isInsideBox` in interface `BoundingVolume`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD